// =====================================================================
//  $Id: TDateCommand.cc,v 1.1.1.1 2003/06/27 02:56:41 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#include "TDateCommand.hh"

static const Tstring _name = "/system/date";
static const Tstring _desc = "print date and time information.";

TDateCommand::TDateCommand( TRunManager* manager )
  : TCommand( manager, _name, _desc ), theSystemClock()
{;}

TDateCommand::~TDateCommand()
{;}

Tvoid TDateCommand::Execute( const TstringList& arguments )
{
  Tcout << theSystemClock.WhatTimeIsItNow() << Tendl;
  return;
}
